disp('test001a: Should return empty lists if models is a cell array.');
model = {};
param = [];
[nucimgs, cellimgs, outres] = model2framework(model, param);
assert(isempty(nucimgs));
assert(isempty(cellimgs));
assert(isempty(outres));

disp('test001b: Should return empty lists if model is empty');
models = [];
param = [];
[nucimgs, cellimgs, outres] = model2framework(models, param);
assert(isempty(nucimgs));
assert(isempty(cellimgs));
assert(isempty(outres));